Invalid POM for plugins?

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Invalid POM for plugins?

Jean-Baptiste Quenot
Hello list,

I'm building  Hudson from source  and noticed that the  Hudson WAR
for  version 1.105  was  downloaded (huge  download)  by our  dear
friend Maven.  Tell  me if this is expected behavior,  but I think
this is caused by an invalid plugins POM, see patch attached.

Cheers,
--
     Jean-Baptiste Quenot
aka  John Banana   Qwerty
http://caraldi.com/jbq/

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

20070511-hudson-plugins-pom.txt (814 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Invalid POM for plugins?

Kohsuke Kawaguchi
Administrator
Jean-Baptiste Quenot wrote:
> Hello list,
>
> I'm building  Hudson from source  and noticed that the  Hudson WAR
> for  version 1.105  was  downloaded (huge  download)  by our  dear
> friend Maven.  Tell  me if this is expected behavior,  but I think
> this is caused by an invalid plugins POM, see patch attached.

I keep plugins/pom.xml to use the latest publicly released version, so
that one can build a plugin without building the whole stuff. So this is
actually intentional.

--
Kohsuke Kawaguchi
Sun Microsystems                   [hidden email]

smime.p7s (4K) Download Attachment